Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Class AuthorizationRejectedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.appflow.exception.PipelineException
                      com.beasys.commerce.ebusiness.payment.AuthorizationRejectedException

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class AuthorizationRejectedException

extends com.bea.p13n.appflow.exception.PipelineException

Signals that authorization with an otherwise valid credit card was unsuccessful. Typically this will result from insufficient funds.

See Also
  Serialized Form

Constructor Summary
`AuthorizationRejectedException(String namespace, String messageKey)` Deprecated See BEA Commerce product offering
`AuthorizationRejectedException(String namespace, String messageKey, Exception embeddedException)` Deprecated See BEA Commerce product offering
`AuthorizationRejectedException(String namespace, String messageKey, Object[] arguments)` Deprecated See BEA Commerce product offering
`AuthorizationRejectedException(String namespace, String messageKey, Object[] arguments, Exception embeddedException)` Deprecated See BEA Commerce product offering
`AuthorizationRejectedException(String namespace, String messageKey, Object argument, Exception embeddedException)` Deprecated See BEA Commerce product offering

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthorizationRejectedException

    public AuthorizationRejectedException(String namespace,
                                          String messageKey)

  Deprecated See BEA Commerce product offering

  Constructs a AuthorizationRejectedException

### AuthorizationRejectedException

    public AuthorizationRejectedException(String namespace,
                                          String messageKey,
                                          Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a AuthorizationRejectedException

### AuthorizationRejectedException

    public AuthorizationRejectedException(String namespace,
                                          String messageKey,
                                          Object[] arguments)

  Deprecated See BEA Commerce product offering

  Constructs a AuthorizationRejectedException

### AuthorizationRejectedException

    public AuthorizationRejectedException(String namespace,
                                          String messageKey,
                                          Object argument,
                                          Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a AuthorizationRejectedException

### AuthorizationRejectedException

    public AuthorizationRejectedException(String namespace,
                                          String messageKey,
                                          Object[] arguments,
                                          Exception embeddedException)

  Deprecated See BEA Commerce product offering

  Constructs a AuthorizationRejectedException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved